net.sf.jasperreports.engine

## Interface JRQueryChunk

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable
  All Known Implementing Classes:
    JRBaseQueryChunk, JRDesignQueryChunk

      public interface JRQueryChunk
      extends JRCloneable

  Version:
    $Id: JRQueryChunk.java 6583 2013-10-14 09:20:42Z lucianc $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_CHUNK_TOKEN_SEPARATOR` A property that specifies the list of token separators for `tokenized query clauses`.
    `static byte` | `TYPE_CLAUSE_TOKENS` A `$X{..}`
    `static byte` | `TYPE_PARAMETER`
    `static byte` | `TYPE_PARAMETER_CLAUSE`
    `static byte` | `TYPE_TEXT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()`
    `java.lang.String[]` | `getTokens()` Returns the chunk tokens for `clause` chunks.
    `java.lang.Character` | `getTokenSeparator()` Returns the chunk tokens separator character for `clause` chunks.
    `byte` | `getType()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_CHUNK_TOKEN_SEPARATOR

          static final java.lang.String PROPERTY_CHUNK_TOKEN_SEPARATOR

      A property that specifies the list of token separators for `tokenized query clauses`.

      The default separators are the comma (`','`), the semicolon (`';'`) and the vertical bar (`'|'`).

      See Also:
        Constant Field Values

    - #### TYPE_TEXT

          static final byte TYPE_TEXT

      See Also:
        Constant Field Values

    - #### TYPE_PARAMETER

          static final byte TYPE_PARAMETER

      See Also:
        Constant Field Values

    - #### TYPE_PARAMETER_CLAUSE

          static final byte TYPE_PARAMETER_CLAUSE

      See Also:
        Constant Field Values

    - #### TYPE_CLAUSE_TOKENS

          static final byte TYPE_CLAUSE_TOKENS

      A `$X{..}` query clause containing one or several tokens.

      The clause will be processed by the query executer. The default implementation treats the first token as a function ID and delegates the processing to a `function` registered for the ID.

      The clause text is tokenized in the following manner:

      - The first appearance of any separator (as specified by `PROPERTY_CHUNK_TOKEN_SEPARATOR`) if located in the clause text.
      - This separator is then used to tokenize the entire text, including the remaining separators characters in tokens.
      Note that this implies that the first token cannot contain any of the separator characters, only subsequent tokens are able to do so.
      See Also:
        `PROPERTY_CHUNK_TOKEN_SEPARATOR`, `getTokens()`, Constant Field Values

  - ### Method Detail

    - #### getType

          byte getType()

    - #### getText

          java.lang.String getText()

    - #### getTokens

          java.lang.String[] getTokens()

      Returns the chunk tokens for `clause` chunks.
      Returns:
        the chunk tokens

    - #### getTokenSeparator

          java.lang.Character getTokenSeparator()

      Returns the chunk tokens separator character for `clause` chunks.
      Returns:
        the chunk tokens separator character

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com